// DUiObject.cpp: implementation of the CDUiObject class.
//
//////////////////////////////////////////////////////////////////////

#include "DUiMan.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDUiObject::CDUiObject()
{
    m_pParent = NULL;
    m_bVisible = TRUE;
    m_xPos = 0;
    m_yPos = 0;
    m_dwHeight = 0;
    m_dwWidth = 0;
    m_dwTabOrder = 0;
    m_dwObjectType = DUI_OBJECT;
    m_dwPrimaryColor = 0;
    m_dwBackgroundColor = 0;
    m_dwTransparency = 0;
    m_wszName[0] = NULL;
    m_dwSelectOutlineColor = _565(0,63,0);
    m_dwZOrder = 0;
    m_dwStyle = 0;
}

CDUiObject::~CDUiObject()
{

}

DWORD CDUiObject::Display(BOOL bRefresh)
{
    return 0xFFFFFFFF;
}

DWORD CDUiObject::DisplayText(BOOL bRefresh)
{
    return 0xFFFFFFFF;
}
DWORD CDUiObject::OnKey(UINT nChar, UINT nFlags)
{
    return 0xFFFFFFFF;
}

DWORD CDUiObject::OnChar(UINT nChar, UINT nFlags)
{
    return 0xFFFFFFFF;
}

DWORD CDUiObject::Initialize()
{
    return 0xFFFFFFFF;
}

DWORD CDUiObject::DoFocusChange()
{
    return 0xFFFFFFFF;
}
